Bug 26556 - Cities autocomplete broken in patron edition
Summary: Cities autocomplete broken in patron edition
Status: Pushed to stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
: 26667 (view as bug list)
Depends on: 25070
Blocks: 26538
  Show dependency treegraph
 
Reported: 2020-09-28 13:43 UTC by Fridolin Somers
Modified: 2020-10-27 04:21 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05


Attachments
Bug 26556: Fix typo data_addressfield in address includes (2.69 KB, patch)
2020-09-28 13:55 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26556: (bug 25070 follow-up) Fix typo data_addressfield in address includes (2.78 KB, patch)
2020-09-28 14:07 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2020-09-28 13:43:20 UTC
Selecting "main address" city or "alternate address" city does not trigger the automatic population of values to the city, state, and zip fields anymore.
It woks for "alternate contact".
Comment 1 Fridolin Somers 2020-09-28 13:44:34 UTC
Looks like it was introduced by Bug 25070
Comment 2 Fridolin Somers 2020-09-28 13:55:03 UTC
Created attachment 110858 [details] [review]
Bug 26556: Fix typo data_addressfield in address includes

Selecting "main address" city or "alternate address" city does not trigger the automatic population of values to the city, state, and zip fields anymore.
It woks for "alternate contact".

Test plan :
1) Create some cities with all datas : city, state, zip code and country
2) Open patron creation form
3) On "main address", select a city in combobox
4) Check city, state, zip code and country are filled
5) Same with "alternate address"
Comment 3 Jonathan Druart 2020-09-28 14:07:56 UTC
Created attachment 110860 [details] [review]
Bug 26556: (bug 25070 follow-up) Fix typo data_addressfield in address includes

Selecting "main address" city or "alternate address" city does not trigger the automatic population of values to the city, state, and zip fields anymore.
It woks for "alternate contact".

Test plan :
1) Create some cities with all datas : city, state, zip code and country
2) Open patron creation form
3) On "main address", select a city in combobox
4) Check city, state, zip code and country are filled
5) Same with "alternate address"

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2020-09-28 14:09:32 UTC
Oops, sorry!
Comment 5 Jonathan Druart 2020-09-28 14:12:45 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Katrin Fischer 2020-10-16 00:37:28 UTC
Please backport!
Comment 7 Katrin Fischer 2020-10-16 00:37:34 UTC
*** Bug 26667 has been marked as a duplicate of this bug. ***
Comment 8 Lucas Gass 2020-10-20 15:04:30 UTC
backported to 20.05.x for 20.05.05
Comment 9 Aleisha Amohia 2020-10-27 04:21:34 UTC
missing dependencies, not backported to 19.11.x